POST /setting/search
Search Setting
Search settings — composable infra architecture.
Request Body (SearchSettingApiRequest)
| Field | Type | Required | Description |
|---|---|---|---|
snapshot_key | string | No | Cache snapshot key for consistent reads across related requests |
Response (ListSettingApiResponse)
| Field | Type | Required | Description |
|---|---|---|---|
actor_name | string | No | Display name of the acting user |
user_role | string | No | Role of the acting user |
settings | ListSettingApiSetting[] | No | List of setting items |
keys | ListSettingApiKey[] | No | List of key items |
flag_filter | ListFilterSection | No | Filter options for flags in list UI |
providers_filter | ListFilterSection | No | Filter options for providers in list UI |
auth_filter | ListFilterSection | No | Filter options for auths in list UI |
systems_filter | ListFilterSection | No | Filter options for systems in list UI |
import_fields | ImportField[] | No | CSV import column schema for the bulk-import dialog |
Last updated on